Page MenuHomePhabricator

enable IPv6 on irc.wikimedia.org
Closed, ResolvedPublic

Description

The IRCd on argon is already listening on tcp6, we would just need:

we also want firewalling while at it (T104943)

since uptime of the streams is somewhat critical for counter-vandalism (https://wikitech.wikimedia.org/wiki/Irc.wikimedia.org),
we just need to be sure we get the streams back up when restarting the IRCd. last time (when we had to reboot the server) it took a bit too long to figure out, so let's be sure about it this time

P.S. stream.wikimedia.org (https://wikitech.wikimedia.org/wiki/stream.wikimedia.org) may or may not be a future replacement of this

Event Timeline

Dzahn created this task.Jul 9 2015, 11:20 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added subscribers: Dzahn, Krinkle.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 9 2015, 11:20 PM

Change 214506 had a related patch set uploaded (by Dzahn):
add AAAA record for argon (irc,rc streams)

https://gerrit.wikimedia.org/r/214506

Change 214434 had a related patch set uploaded (by Dzahn):
add IPv6 for argon (irc,mw-rc streams)

https://gerrit.wikimedia.org/r/214434

Krinkle updated the task description. (Show Details)Jul 9 2015, 11:33 PM
Krinkle set Security to None.
Dzahn triaged this task as Low priority.Jul 10 2015, 6:16 PM

Change 214434 merged by Dzahn:
add IPv6 for argon (irc,mw-rc streams)

https://gerrit.wikimedia.org/r/214434

Change 214506 abandoned by Dzahn:
add AAAA record for argon (irc,rc streams)

https://gerrit.wikimedia.org/r/214506

Krinkle closed this task as Declined.Mar 4 2016, 6:38 PM

Change 214506 restored by Dzahn:
add AAAA record for argon (irc,rc streams)

https://gerrit.wikimedia.org/r/214506

Dzahn added a comment.May 2 2016, 5:10 PM

@Krinkle should we add the record during migration anyways?

Change 286504 had a related patch set uploaded (by Dzahn):
add IPv6 record for kraz.wm.org

https://gerrit.wikimedia.org/r/286504

Change 286504 merged by Dzahn:
add IPv6 record for kraz.wm.org

https://gerrit.wikimedia.org/r/286504

Dzahn reopened this task as Open.May 2 2016, 7:51 PM

Change 286509 had a related patch set uploaded (by Dzahn):
switch irc.wm.org from argon to kraz

https://gerrit.wikimedia.org/r/286509

Change 214506 abandoned by Dzahn:
add AAAA record for argon (irc)

Reason:
replaced by kraz and kraz has v6 IP

https://gerrit.wikimedia.org/r/214506

Change 286509 merged by Dzahn:
switch irc.wm.org from argon to kraz

https://gerrit.wikimedia.org/r/286509

Dzahn added a comment.May 3 2016, 2:07 AM

@kraz:~# host irc.wikimedia.org
irc.wikimedia.org is an alias for kraz.wikimedia.org.
kraz.wikimedia.org has address 208.80.153.44
kraz.wikimedia.org has IPv6 address 2620:0:860:2:208:80:153:44

Dzahn closed this task as Resolved.May 3 2016, 2:09 AM
Dzahn claimed this task.

ping6 irc.wikimedia.org
PING irc.wikimedia.org(2620:0:860:2:208:80:153:44) 56 data bytes
64 bytes from 2620:0:860:2:208:80:153:44: icmp_seq=1 ttl=62 time=36.1 ms
64 bytes from 2620:0:860:2:208:80:153:44: icmp_seq=2 ttl=62 time=36.2 ms

Change 364904 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] fix IPv6 reverse record for kraz.wikimedia.org

https://gerrit.wikimedia.org/r/364904

Change 364904 merged by Dzahn:
[operations/dns@master] fix IPv6 reverse record for kraz.wikimedia.org

https://gerrit.wikimedia.org/r/364904

Dzahn added a comment.Jul 13 2017, 8:55 PM
[kraz:~] $ host kraz.wikimedia.org
kraz.wikimedia.org has address 208.80.153.44
kraz.wikimedia.org has IPv6 address 2620:0:860:2:208:80:153:44

[kraz:~] $ host 2620:0:860:2:208:80:153:44
4.4.0.0.3.5.1.0.0.8.0.0.8.0.2.0.2.0.0.0.0.6.8.0.0.0.0.0.0.2.6.2.ip6.arpa domain name pointer kraz.wikimedia.org.

[kraz:~] $ host irc.wikimedia.org
irc.wikimedia.org is an alias for kraz.wikimedia.org.
kraz.wikimedia.org has address 208.80.153.44
kraz.wikimedia.org has IPv6 address 2620:0:860:2:208:80:153:44